Get public car rental vehicle (v1)
Method & Path
GET /api/v1/public/:workspaceSlug/carrental/vehicles/:id
Actual path: /v1/public/:workspaceSlug/carrental/vehicles/:id
Description
Get a single vehicle by ID for the car rental workspace identified by workspaceSlug.
Authentication
None – Public endpoint.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
workspaceSlug | string | Yes | Public slug from carrental-settings. |
id | string | Yes | Vehicle ID. |
Response 200 OK
{
"id": "...",
"brand": "Toyota",
"model": "Corolla",
"year": 2023,
"plateNumber": "ABC-123",
"color": "White",
"transmission": "AUTO",
"fuelType": "GAS",
"seats": 5,
"dailyPrice": 150,
"status": "AVAILABLE",
"specs": {},
"photos": [{ "url": "https://...", "createdAt": "..." }]
}
Common errors
- 404: Car rental or vehicle not found.
- 500: Server error.